Bug 160740 - Stop in /usr/ports/mail/cyrus-imapd24/work/cyrus-imapd-2.4.11/imap
Summary: Stop in /usr/ports/mail/cyrus-imapd24/work/cyrus-imapd-2.4.11/imap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-14 21:20 UTC by Per olof Ljungmark
Modified: 2011-11-01 15:40 UTC (History)
0 users

See Also:


Attachments
cyrus-imapd-2.4.11-autosieve-0.6.0.patch (7.71 KB, patch)
2011-09-16 10:11 UTC, Anes Mukhametov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per olof Ljungmark 2011-09-14 21:20:10 UTC
[X] AUTOCREATE    Use autocreate INBOX patch (UoA)
[X]AUTOSIEVE     Use autosievefolder patch (UoA)
[ ] BDB           Use Berkeley DB
[ ] DRAC          Enable DRAC support
[X] IDLED         Enable IMAP idled support
[ ] LDAP          Use LDAP (experimental)
[ ] MURDER        Enable IMAP Murder support
[ ] MYSQL         Use MySQL
[ ] NETSCAPEHACK  Enable X-NETSCAPE extensions
[ ] NNTP          Enable NNTP support
[ ] PGSQL         Use PostgreSQL
[X] REPLICATION   Enable replication (experimental)
[ ] SNMP          Enable SNMP support
[ ] SQLITE        Use SQLite

autoconf-2.68       Automatically configure source code on many Un*x platforms
autoconf-wrapper-20101119 Wrapper script for GNU autoconf
automake-1.11.1     GNU Standards-compliant Makefile generator (1.11)
automake-wrapper-20101119 Wrapper script for GNU automake
bash-4.1.10         The GNU Project's Bourne Again SHell
bison-2.4.3,1       A parser generator from FSF, (mostly) compatible with Yacc
cciss_vol_status-1.09 Reports status of logical drives on ciss(4) controllers
cyrus-imapd-2.4.10_1 The cyrus mail server, supporting POP3 and IMAP4 protocols
cyrus-sasl-2.1.23_3 RFC 2222 SASL (Simple Authentication and Security Layer)
cyrus-sasl-saslauthd-2.1.23 SASL authentication server for cyrus-sasl2
db41-4.1.25_4       The Berkeley DB package, revision 4.1
gettext-0.18.1.1    GNU gettext package
gmake-3.82          GNU version of 'make' utility
help2man-1.40.4     Automatically generating simple manual pages from program o
libiconv-1.13.1_1   A character set conversion library
libtool-2.4         Generic shared library support script
m4-1.4.16,1         GNU m4
openldap-client-2.4.26 Open source LDAP client implementation
p5-Locale-gettext-1.05_3 Message handling functions
pcre-8.12           Perl Compatible Regular Expressions library
perl-5.10.1_4       Practical Extraction and Report Language
portupgrade-2.4.8_1,2 FreeBSD ports/packages administration and management tool s
postfix-2.8.4,1     A secure alternative to widely-used Sendmail
ruby-1.8.7.352,1    An object-oriented interpreted scripting language
ruby18-bdb-0.6.6    Ruby interface to Sleepycat's Berkeley DB revision 2 or lat


cc -L/usr/lib -R/usr/lib  -rpath=/usr/lib:/usr/local/lib -o imapd  ../master/service.o pushstats.o imapd.o proxy.o imap_proxy.o index.o mutex_fake.o  libimap.a ../sieve/libsieve.a ../lib/libcyrus.a ../lib/libcyrus_min.a -L/usr/local/lib  -R/usr/local/lib -lsasl2  -lgssapi -lkrb5 -lasn1 -lroken -lcrypt  -lcom_err -lhx509  -lfl -L/usr/local/lib  -lpcre -lpcreposix -lssl -lcrypto -lz ../com_err/et/libcom_err.a -lwrap
cc -c -I.. -I./../lib -I../com_err/et -I./../sieve -I/usr/local/include -I/usr/include -DKRB5_HEIMDAL -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing  lmtpd.c
cc -c -I.. -I./../lib -I../com_err/et -I./../sieve -I/usr/local/include -I/usr/include -DKRB5_HEIMDAL -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing  lmtpstats.c
cc -c -I.. -I./../lib -I../com_err/et -I./../sieve -I/usr/local/include -I/usr/include -DKRB5_HEIMDAL -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing  lmtpengine.c
cc -c -I.. -I./../lib -I../com_err/et -I./../sieve -I/usr/local/include -I/usr/include -DKRB5_HEIMDAL -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing  spool.c
cc -c -I.. -I./../lib -I../com_err/et -I./../sieve -I/usr/local/include -I/usr/include -DKRB5_HEIMDAL -I/usr/local/include -DHAVE_CONFIG_H -O2 -pipe -fno-strict-aliasing  lmtp_sieve.c
lmtp_sieve.c: In function 'sieve_fileinto':
lmtp_sieve.c:520: warning: passing argument 13 of 'deliver_mailbox' makes pointer from integer without a cast
lmtp_sieve.c:520: error: too few arguments to function 'deliver_mailbox'
*** Error code 1

Stop in /usr/ports/mail/cyrus-imapd24/work/cyrus-imapd-2.4.11/imap.
*** Error code 1

How-To-Repeat: try to compile cyrus-imap 2.4.11
Comment 1 Edwin Groothuis freebsd_committer 2011-09-14 21:20:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-09-15 12:35:37 UTC
ume         2011-09-15 11:35:28 UTC

  FreeBSD ports repository

  Modified files:
    mail/cyrus-imapd24   Makefile 
  Log:
  Mark BROKEN when AUTOSIEVE is enabled.  The 3rd party's
  autosieve patch is not aveilable for the latest version
  of Cyrus-IMAPd.
  
  PR:             ports/160740
  
  Revision  Changes    Path
  1.211     +1 -0      ports/mail/cyrus-imapd24/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Hajimu UMEMOTO freebsd_committer 2011-09-15 12:38:13 UTC
State Changed
From-To: open->suspended

The patch is not available for the latest version of 
Cyrus-IMAPd.
Comment 4 c.kworr 2011-09-15 23:13:44 UTC
Guys, are you serious? This can be fixed very simply as just some lines 
above you can see a correct call.

http://limbo.xim.bz/disfiles/cyrus-imapd-2.4.4-autosieve-0.6.0_1.patch

-- 
Sphinx of black quartz judge my vow.
Comment 5 Anes Mukhametov 2011-09-28 08:16:40 UTC
Sorry, I was wrong. My patch is wrong too. Correct link to actual patch: http://limbo.xim.bz/distfiles/cyrus-imapd-2.4.4-autosieve-0.6.0_1.patch
Comment 6 Hajimu UMEMOTO freebsd_committer 2011-11-01 15:39:22 UTC
State Changed
From-To: suspended->closed

The autosieve patch was updated by ports/162185.